import javax.swing.*;

public class Main4 {

    private JFlash window;
    private Thread buyThread;

    public Main4() {
	window = new JFlash("Cremona");
	SwingUtilities.invokeLater(window);
	buyThread = new Buy(window);
	buyThread.start();
    }

    public static void main(String[] args) {
	new Main4();
    }
}

class Buy extends Thread {
    private JFlash window;
    private final int buy_pause = 3000;
    
    public Buy(JFlash aWindow) {
	window = aWindow;
    }

    public void run() { 
	while (true) {
	    window.flash("Buy @ Cremona!");
	    try {
		Thread.sleep(buy_pause);
	    }
	    catch (InterruptedException e) {
	    }
	}
    }
}
