import javax.swing.*;

public class Main6 {

    private JFlash window;
    private Thread buyThread;
    private final int buy_pause = 3000;

    public Main6() {
	window = new JFlash("Cremona");
	SwingUtilities.invokeLater(window);
	buyThread = new Thread() {
		public void run() { 
		    while (true) {
			window.flash("Buy @ Cremona!");
			try {
			    Thread.sleep(buy_pause);
			}
			catch (InterruptedException e) {
			}
		    }
		}
	    };
	buyThread.start();
    }

    public static void main(String[] args) {
	new Main6();
    }
}
