import javax.swing.*;

public class Main5 {

    private JFlash window;
    private Thread buyThread;

    public Main5() {
	window = new JFlash("Cremona");
	SwingUtilities.invokeLater(window);
	buyThread = new Thread(new Buy(window));
	buyThread.start();
    }

    public static void main(String[] args) {
	new Main5();
    }
}

class Buy implements Runnable {
    private JFlash window;
    private final int buy_pause = 3000;
    
    public Buy(JFlash aWindow) {
	window = aWindow;
    }

    public void run() { 
	while (true) {
	    window.flash("Buy @ Cremona!");
	    try {
		Thread.sleep(buy_pause);
	    }
	    catch (InterruptedException e) {
	    }
	}
    }
}
